<div class="modal-container">
    <div class="modal">
      <div class="modal-dialog">
        <div class="modal-content">
          <!-- dialog header -->
          <div class="modal-header">
            <h5>Create Account</h5>
          </div>
          <!-- dialog body -->
          <div class="modal-body">
            <div class="container">
                <form  #form="ngForm">
                    <div class="container-form-div">
                        <div class="form-input-div">
                            <div class="form-input">
                                <label for="name">Name</label>
                                <input [(ngModel)]="createAccountRequest.name" type="text" placeholder="Enter Account Name" name="name"
                                    id="name" required>
                            </div>
                            <div class="form-input">
                                <label for="type">Type</label>
                                <select [(ngModel)]="createAccountRequest.type" placeholder="Select Account Type" required name="type" style="width:183px;"
                                    id="type">
                                    <option  disabled value=undefined>Select</option>
                                    <option *ngFor="let item of typeList; let i = index" [value]="item.toLowerCase()">{{item}}</option>
                                </select>
                            </div>
                            <div class="form-input">
                                <label for="balance">Balance</label>
                                <input [(ngModel)]="createAccountRequest.balance" type="text" placeholder="Account Balance"
                                    name="balance"
                                    id="balance" required>
                            </div>
                            
                        </div>
                    </div>
                </form>
            </div>
          </div>
          <!-- dialog body -->
          <div class="modal-footer">
            <button class="btn btn-primary btn-sm" (click)="closePopup()">Close</button>
            <button class="btn btn-primary btn-sm" [disabled]="form.form.invalid" (click)="createAccount()">Create</button>
            
          </div>
        </div>
      </div>
    </div>
  </div>
  

